Subject: Re: FVWM: gnuserv

From: Glen Lee Edwards <[email-masked]>
Date: Fri, 12 Oct 2001 18:08:26 -0500 (CDT)

Daniel Wood writes:
 > Howdy, I just started using fvwm2 again after a long Windowmaker
 > interlude and I'm loving it.  I have one problem however.  I use
 > gnuserv with xemacs.  This allows me to open new emacs frames using
 > the gnuclient command.  (These frames are attached to the same xemacs
 > process.)
 > 
 > What I want is for these windows to appear right where I am (page and
 > desk wise) just as if I'd run xemacs.  However they now pop up in
 > strange places.  I wish I could be more exact but unfortunately I
 > haven't actually figured out exactly what the pattern is.  I think
 > they seem to show up the last place I used an xemacs frame and I'm
 > guessing that this has something to do with "window groups".  Am I off
 > base here?
 > 

Daniel,

As for guaranteeing that it stays on the same desk/page that you start the
process from even if Xemacs is somewhere else, someone with more FVWM expertise
will have to answer that question.

In the mean time you should be able to easily access it by placing the following
in your .fvwm2rc configuration file:

Mouse 3	RS    	A      	WindowList

This will bring up the list of all open windows by right clicking on the sides
of an open window or on the root window.

You can try adding this to your xemacs configuration file (you'll need to modify it for
your personal tastes):

;; Set default page size  and start location
(setq initial-frame-plist '(top 34 left 7 width 108 height 40))  ; I don't know why but this is the setting
(setq default-frame-plist '(top 5 left 0 width 108 height 40))

That should place the new frame in a specific spot on the screen.  Don't know if
it will force it to start on the same desk/page or not.

Glen

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].